<?php

namespace App\Service;

use Symfony\Component\DependencyInjection\Attribute\Autowire;
use Symfony\Component\DependencyInjection\EnvVarLoaderInterface;

readonly class Folders
{
    public function __construct(
        #[Autowire('%kernel.project_dir%')] private string $projectRoot
    ) {}

    private function getVarFolder(): string
    {
        return $this->projectRoot . DIRECTORY_SEPARATOR . 'var';
    }

    public function getBackupFolder(): string
    {
        return $this->get('backup');
    }

    private function get(string $name): string
    {
        $folder = $this->getVarFolder() . DIRECTORY_SEPARATOR . $name;
        if (!is_dir($folder)) {
            mkdir($folder, 0777, true);
        }
        return $folder;
    }
}